## org.firebirdsql.gds
Interface IscSvcHandle

All Known Implementing Classes:
  isc_svc_handle_impl

    public interface IscSvcHandle

The interface `isc_svc_handle` is a java mapping for a isc_svc_handle handle.

Method Summary
`void` `clearWarnings()` Clear warning list associated with this connection.
`List` `getWarnings()` Get list of warnings that were returned by the server.
`boolean` `isNotValid()` Retrieve whether this service handle is invalid.
`boolean` `isValid()` Retrieve whether this service handle is valid.

Method Detail

### isValid

    boolean isValid()

  Retrieve whether this service handle is valid.

  Returns:
    `true` if the handle is valid, `false` otherwise

### isNotValid

    boolean isNotValid()

  Retrieve whether this service handle is invalid.

  Returns:
    `true` if the handle is invalid, `false` otherwise

### getWarnings

    List getWarnings()

  Get list of warnings that were returned by the server.

  Returns:
    instance of `List`containing instances of `GDSException`representing server warnings (method `GDSException.isWarning()`returns `true`).

### clearWarnings

    void clearWarnings()

  Clear warning list associated with this connection.

Copyright © 2001-2010. All Rights Reserved.